/*
 * 作成日: 2008/08/05
 * 著作権: Copyright (c) 2005 ZIGEN
 * ライセンス：Eclipse Public License - v 1.0
 * 原文：http://www.eclipse.org/legal/epl-v10.html
 */
package zigen.plugin.db.ext.s2jdbc.service;

import zigen.plugin.db.ext.s2jdbc.ICodeGenerator;
import zigen.plugin.db.ext.s2jdbc.ui.DefaultGenerateAction;
import zigen.plugin.db.ui.internal.ITable;


public class GenerateServiceAction extends DefaultGenerateAction {
	
	public ICodeGenerator createClassCreator(ITable table, String rootPackageName) {
		return new ServiceGenerator(table, rootPackageName);
	}
	
	public String getTitle() {
		return Messages.getString("GenerateServiceAction.Title"); //$NON-NLS-1$
	}
	
	public String getMessage() {
		return Messages.getString("PackageSelectDialog.Message"); //$NON-NLS-1$
	}
}
